package sptossg;

/*
 * Used to parse sections of a file in order, while keeping track
 * of where it was last in a string
 */

import gnu.regexp.*;

public class SectionParser
{
    /*
     * Constructor takes string to be processed
     */
    public SectionParser(String input)
    {
        this.input = input;
        position = 0;
    }
    
    /*
     * Return a match object from the input based on a regular
     * expression from the most recent position
     */
    public REMatch getSection(String regex)
        throws gnu.regexp.REException
    {
        RE exp = new RE(regex,
            RE.REG_MULTILINE | RE.REG_ICASE | RE.REG_DOT_NEWLINE);
        REMatch match = exp.getMatch(input, position);
        if (match != null)
            position = match.getEndIndex();
        return match;        
    }
    
    String input;   // the input to be parsed by regex's
    int position;   // where we are in the input string
    
}