package sptossg;

import java.util.*;
import gnu.regexp.*;
/**
 * Enumerates a string containing table (TD) elements.
 */
public class TableDataEnumeration
{
	String parseStr;
	RE regex;
	REMatchEnumeration enumerator;	
/**
 * Constructor for class.
 * @param str the string to parse for table data elements
 */
public TableDataEnumeration(String str) throws REException
{
	regex = new RE("<td.*?>(.*?)</td>", 
		RE.REG_MULTILINE | RE.REG_ICASE | RE.REG_DOT_NEWLINE);
	enumerator = regex.getMatchEnumeration(str);
}
public boolean hasMoreElements() 
{
	return enumerator.hasMoreElements();
}
/**
 * return next table data (TD enclosed) element
 */
public String nextElement() 
{
	return enumerator.nextMatch().toString(1);
}
}
